Skip to main content
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
providers
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    phone "github.com/auth0/go-auth0/management/management/branding/phone"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &phone.ListBrandingPhoneProvidersRequestParameters{
        Disabled: management.Bool(
            true,
        ),
    }
    client.Branding.Phone.Providers.List(
        context.TODO(),
        request,
    )
}
{
  "providers": [
    {
      "name": "twilio",
      "id": "<string>",
      "tenant": "<string>",
      "channel": "phone",
      "disabled": true,
      "configuration": {
        "sid": "<string>",
        "delivery_methods": [
          "text"
        ],
        "default_from": "<string>",
        "mssid": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

disabled
boolean

Whether the provider is enabled (false) or disabled (true).

Response

Phone providers have been successfully retrieved.

providers
object[]